Commit 65f3c4c0 authored by Tamar Christina's avatar Tamar Christina

Change sphinx for documentation building on windows to the python3 version

Summary:
Python 3 seems to have fixed the long standing codepage issue with
python on Windows. To be able to reliably build the documentation
we should use the Python 3 version of Sphinx.

See `https://docs.python.org/dev/whatsnew/3.3.html#codecs` and
`https://bugs.python.org/issue13216`. Sphinx also supports Python 3.

Oddly enough `python3-sphinx` is registered as `sphinx-build.exe`
instead of `sphinx-build3.exe`, so the changes in `configure.ac` can
be reverted.

install with `pacman -S mingw-w64-$(uname -m)-python3-sphinx`

Test Plan: ./validate

Reviewers: austin, thomie, bgamari

Reviewed By: bgamari

Subscribers: erikd

Differential Revision: https://phabricator.haskell.org/D1417

GHC Trac Issues: #11021
parent e9bfb3fd
...@@ -725,19 +725,11 @@ then ...@@ -725,19 +725,11 @@ then
fi fi
dnl ** check for Sphinx toolchain dnl ** check for Sphinx toolchain
if test "$HostOS" = "mingw32" AC_PATH_PROG(SPHINXBUILD,sphinx-build)
then AC_CACHE_CHECK([for version of sphinx-build], fp_cv_sphinx_version,
SphinxBin=sphinx-build2
else
SphinxBin=sphinx-build
fi;
AC_SUBST([SphinxBin])
AC_PATH_PROG(SPHINXBUILD,${SphinxBin})
AC_CACHE_CHECK([for version of ${SphinxBin}], fp_cv_sphinx_version,
changequote(, )dnl changequote(, )dnl
[if test -n "$SPHINXBUILD"; then [if test -n "$SPHINXBUILD"; then
fp_cv_sphinx_version=`"$SPHINXBUILD" --version 2>&1 | sed 's/Sphinx\( (sphinx-build[2]\?)\)\? v\?\([0-9]\.[0-9]\.[0-9]\)/\2/' | head -n1`; fp_cv_sphinx_version=`"$SPHINXBUILD" --version 2>&1 | sed 's/Sphinx\( (sphinx-build)\)\? v\?\([0-9]\.[0-9]\.[0-9]\)/\2/' | head -n1`;
fi; fi;
changequote([, ])dnl changequote([, ])dnl
]) ])
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment